uniform vec2 modelDims;
// x: How far it goes Y+
// y: How far it goes Y-

void main(void)
{
	float heightfactor = (gl_Vertex.y - modelDims.y) / (modelDims.x - modelDims.y);
	heightfactor = 0.5 - heightfactor * 0.5;
	gl_FrontColor = vec4(vec3(gl_Color * heightfactor), 1.0);
	gl_TexCoord[0] = gl_MultiTexCoord0;
	gl_Position = ftransform();
}